---
updatedAt: 2025-09-22T17:27:13.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Cancel an Invoice

Facades: `merchant`

## Overview

Cancel an invoice by ID, with the option to force cancelation when no contact information is present.

> 📘 Note
>
> Cancellation will require **either** an SMS or E-mail to have already been set if the invoice has proceeded to the point where it may have been paid.

## Parameters

| Parameter      | Description                                                                                           |
| :------------- | :---------------------------------------------------------------------------------------------------- |
| invoice\_id \* | The Id of the BitPay invoice to be canceled                                                           |
| force\_cancel  | Query param that will cancel the invoice even if no contact information is present (default: `false`) |

## Example

> 📘 Note
>
> In this example, we assume that a Client has already been [initialized](https://developer.bitpay.com/reference/python-sdk) and assigned to the `bitpay` variable.

```java Python
bitpay.cancel_invoice('someInvoiceId')
```